package com.loafle.overflow.model.data;

import java.util.Date;
import java.util.Map;

/**
 * Metric
 */
public class Metric {
  private String sensorConfigID;
  private Map<String, String> data;
  private Date collectDate;

  public Metric(String sensorConfigID, Map<String, String> data) {
    this(sensorConfigID, data, new Date());
  }

  public Metric(String sensorConfigID, Map<String, String> data, Date collectDate) {
    this.sensorConfigID = sensorConfigID;
    this.data = data;
    this.collectDate = collectDate;
  }

  /**
   * @return the sensorConfigID
   */
  public String getSensorConfigID() {
    return sensorConfigID;
  }

  /**
   * @param sensorConfigID the sensorConfigID to set
   */
  public void setSensorConfigID(String sensorConfigID) {
    this.sensorConfigID = sensorConfigID;
  }

  /**
   * @return the data
   */
  public Map<String, String> getData() {
    return data;
  }

  /**
   * @param data the data to set
   */
  public void setData(Map<String, String> data) {
    this.data = data;
  }

  /**
   * @return the collectDate
   */
  public Date getCollectDate() {
    return collectDate;
  }

  /**
   * @param collectDate the collectDate to set
   */
  public void setCollectDate(Date collectDate) {
    this.collectDate = collectDate;
  }
}